# Mods

The [`Better Leaves` resource-pack by MidnightDust](https://github.com/TeamMidnightDust/BetterLeavesPack) is preinstalled.

## Included
### Performance
- `Cull Leaves` — culling for leaf blocks
- `Dynamic FPS` — reduces FPS when in background
- `Krypton` — network stack optimisation
- `LazyDFU` — improves startup time
- `Lithium` — general-purpose optimisation
- `Phosphor` — lighting engine optimisation
- `Sodium` — rendering engine replacement
- `Chunky Pregenerator` — pre-generate chunks (server-only)

### Graphics
- `Continuity` — connected textures
- `Enhanced Block Entities` — smooth lighting on block entities (+ performance improvements)
- `Falling Leaves` — falling leaves particles
- `Iris Shaders` — shaders
- `LambdaBetterGrass` — smooth grass
- `Sodium Extra` — more settings

### World-gen & decoration
- `Adorn` — furniture
- `Artisanat` — more block variations
- `Cinderscapes` — more Nether biomes
- `Infinity Buttons` — more buttons
- `Lanterns Belong on Walls` — allows placing lanterns on walls
- `Promenade` — biomes, mobs and ducks
- `Terrestria` — more Overworld biomes
- `Towers of the Wild: Reworked` (data-pack) — BotW-like towers in the Overworld
- `Towers of the Wild: Additions` — BotW-like towers in the Nether and the End
- `When Dungeons Arise` — dungeon structures
- `Wilder Wild` — many enhancements
- `YUNG's Better Desert Temples`
- `YUNG's Better Dungeons`
- `YUNG's Better Mineshafts`
- `YUNG's Better Ocean Monuments`

### GUI
- `AppleSkin` — hunger/health-related HUD improvements
- `Mod Menu` — adds a mod menu
- `Raised` — fixes the hotbar position
- `Reese's Sodium Options` — replaces the graphics settings
- `Roughly Enough Items`
- `WTHIT` — looking-at HUD
- `Here be no Dragons!` — Disables the *experimental world settings* warning

### Compatibility
- `Indium` — `Lithium` + `Fabric Rendering API`
- `Animatica` — animated textures
- `Entity Texture Features` — random+emissive textures

### Miscellaneous
- `Advancements Debug` — fixes an advancements-related bug
- `Auth Me` — in-game session re-validation
- `Axes are Weapons` — allows sword enchantments for axes
- `Campanion` — various camping-themed items
- `Charm` — miscellaneous vanilla enhancements
- `Charmonium` — better ambient sounds
- `Culinaire` — more food items
- `Debugify` — fixes various bugs
- `Fabric Waystones` — waystones
- `No Telemetry` — disables telemetry
- `You're in Grave Danger` — graves
- `Zoomify` — zoom

### Modpack utilities
- `OneTimeOverrides`
- `Paxi`
- `Main Menu Credits`

### Library
- `Architectury API`
- `bad packets`
- `Cloth Config API`
- `Dawn API`
- `Fabric API`
- `Fabric Language Kotlin`
- `oωo`
- `TerraBlender` — semi-hard dependency of `Promenade`
- `YUNG's API`

## Not included
### Experimental
These mods would be in the pack if they were stable.
- `Concurrent Chunk Management Engine` — multithreaded chunk management
- `Consistency+`
- `Immersive Portals`
- `Resounding` — realistic sound physics
- `Terra` — completely revamped world-gen

### Alternative used
- bug-fixing mods → `Debugify`.
- `Better Recipe Book` → `Roughly Enough Items`
- `DripSounds` → `Charmonium`
- `EditSign` → `Charm`
- `FPS - Display` → `Sodium`
- `Health Care` → `WTHIT`
- `LambDynamicLights` → `Iris Shaders`

### Not vanilla enough
- `Additional Additions` — various items
- `ChestTracker` — find items in chests
- `EasierCrafting` — crafting through clicking
- `Falling Tree` — cut down a tree by only breaking one block
- `limitless` — removes enchanting limits
- `Origins` — character classes

### Incompatible loader/version
- `Animal Feeding Trough`
- `Decorative` — decoration blocks
- `Mo' Structures` — many new structures

## In consideration
*None*